Page MenuHomePhabricator

The Escape key should close VisualEditor context menu
Closed, DeclinedPublic

Description

Click on a link. A bubble will appear with the link description.

I would expect pressing the Escape key to close this bubble, but instead it asks me whether I want to leave the editor.

Event Timeline

Amire80 created this task.Aug 12 2015, 9:17 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a project: VisualEditor.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 9:17 PM
Jdforrester-WMF closed this task as Declined.Aug 18 2015, 7:10 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Escape-to-escape the editor was a community requested feature. I think it's reasonable.

Amire80 reopened this task as Open.Aug 18 2015, 7:47 PM

I'm OK with T52868 to close the editor.

What I'm suggesting is that if an inspector is open, the Escape key should close it (and pressing the Escape key the second should close the editor). I find myself doing it all the time, and getting a close dialog instead of seeing the inspector disappear, as I would expect.

Isn't it sufficiently different?

(The small bubble is actually the "context menu". The big bubble with text fields you get after clicking it is the inspector, and it will behave as you describe.)

(The small bubble is actually the "context menu". The big bubble with text fields you get after clicking it is the inspector, and it will behave as you describe.)

Aha, indeed.

It actually emphasizes my point: After getting to the inspector with the text fields, pressing Escape once closes it and shows the context menu with info about the link (which makes sense) and pressing it again closes VE entirely (which doesn't).

Jdforrester-WMF renamed this task from The Escape key should close VisualEditor inspectors, rather than suggest exiting VisualEditor to The Escape key should close VisualEditor context menu.Aug 25 2015, 7:08 PM
Jdforrester-WMF closed this task as Declined.
Jdforrester-WMF set Security to None.

We never do not show the context menu for the current cursor position if the surface is active.